/*
 * Copyright 2010-2012 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.commons.beans;

/**
 * Thrown by the {@link BeanHelper} class when any issues occur.
 *
 * @author <a href="http://craigsdickson.com">Craig S. Dickson</a>
 */
public class BeanHelperException extends Exception {

    private static final long serialVersionUID = -7373209225086218915L;

    /**
     * Creates a new BeanHelperException object.
     */
    public BeanHelperException() {
        super();
    }

    /**
     * Creates a new BeanHelperException object.
     *
     * @param  message  description of failure. The detail message is saved for later retrieval by the
     *                  Throwable.getMessage() method.
     */
    public BeanHelperException(String message) {
        super(message);
    }

    /**
     * Creates a new BeanHelperException object.
     *
     * @param  cause  Reason of an exception
     */
    public BeanHelperException(Throwable cause) {
        super(cause);
    }

    /**
     * Creates a new BeanHelperException object.
     *
     * @param  message  description of failure. The detail message is saved for later retrieval by the
     *                  Throwable.getMessage() method.
     * @param  cause    Reason of an exception
     */
    public BeanHelperException(String message, Throwable cause) {
        super(message, cause);
    }
}
