/*
 * Copyright 2010-2012 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.commons.datatypes;

/**
 * Exception thrown to indicate email Address is not in valid format.
 */
public class InvalidEmailAddressException extends Exception {

    private static final long serialVersionUID = -3031839090653615833L;

    /**
     * Creates a new InvalidEmailAddressException object.
     */
    public InvalidEmailAddressException() {
        super();
    }

    /**
     * Creates a new InvalidEmailAddressException object.
     *
     * @param  message  Message to display
     */
    public InvalidEmailAddressException(String message) {
        super(message);
    }

    /**
     * Creates a new InvalidEmailAddressException object.
     *
     * @param  cause  Cause of an exception
     */
    public InvalidEmailAddressException(Throwable cause) {
        super(cause);
    }

    /**
     * Creates a new InvalidEmailAddressException object.
     *
     * @param  message  Message to display
     * @param  cause    Cause of an exception
     */
    public InvalidEmailAddressException(String message, Throwable cause) {
        super(message, cause);
    }
}
