/*
 * Copyright 2010-2012 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.commons.datatypes;

/**
 * Exception thrown to indicate ZipCode is not in valid format.
 */
public class InvalidZipCodeException extends Exception {

    private static final long serialVersionUID = -8589231832055070252L;

    /**
     * Creates a new InvalidZipCodeException object.
     */
    public InvalidZipCodeException() {
        super();
    }

    /**
     * Creates a new InvalidZipCodeException object.
     *
     * @param  message  Message to display
     */
    public InvalidZipCodeException(String message) {
        super(message);
    }

    /**
     * Creates a new InvalidZipCodeException object.
     *
     * @param  cause  Cause of an exception
     */
    public InvalidZipCodeException(Throwable cause) {
        super(cause);
    }

    /**
     * Creates a new InvalidZipCodeException object.
     *
     * @param  message  Message to display
     * @param  cause    Cause of an exception
     */
    public InvalidZipCodeException(String message, Throwable cause) {
        super(message, cause);
    }
}
