/*
 * Copyright 2010-2012 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.commons.jaas;

import java.rmi.Remote;
import java.rmi.RemoteException;

import javax.security.auth.callback.Callback;
import javax.security.auth.callback.UnsupportedCallbackException;

/**
 * Interface designed to allow for a remote object to handle the callbacks
 * of a JAAS authentication process.
 */
public interface RemoteCallbackHandler extends Remote {

    /**
     *
     * @param callbacks an array of {@link javax.security.auth.callback.Callback} objects.
     * @return an array of {@link javax.security.auth.callback.Callback} objects.
     * @throws java.rmi.RemoteException if any.
     * @throws javax.security.auth.callback.UnsupportedCallbackException if any.
     */
    Callback[] handle(Callback[] callbacks) throws RemoteException, UnsupportedCallbackException;
}
