/*
 * Copyright 2010-2012 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.commons.lang;

import java.util.HashMap;
import java.util.Map;

/**
 * DOCUMENT ME!
 */
public final class SystemProperties {

    /** DOCUMENT ME! */
    public static final String JAVA_VERSION = System.getProperty("java.version");

    /** DOCUMENT ME! */
    public static final String JAVA_VENDOR_URL = System.getProperty("java.vendor.url");

    /** DOCUMENT ME! */
    public static final String JAVA_VENDOR = System.getProperty("java.vendor");

    /** DOCUMENT ME! */
    public static final String JAVA_HOME = System.getProperty("java.home");

    /** DOCUMENT ME! */
    public static final String JAVA_VM_SPECIFICATION_VERSION = System.getProperty("java.vm.specification.version");

    /** DOCUMENT ME! */
    public static final String JAVA_VM_SPECIFICATION_VENDOR = System.getProperty("java.vm.specification.vendor");

    /** DOCUMENT ME! */
    public static final String JAVA_VM_SPECIFICATION_NAME = System.getProperty("java.vm.specification.name");

    /** DOCUMENT ME! */
    public static final String JAVA_VM_VERSION = System.getProperty("java.vm.version");

    /** DOCUMENT ME! */
    public static final String JAVA_VM_VENDOR = System.getProperty("java.vm.vendor");

    /** DOCUMENT ME! */
    public static final String JAVA_VM_NAME = System.getProperty("java.vm.name");

    /** DOCUMENT ME! */
    public static final String JAVA_SPECIFICATION_VERSION = System.getProperty("java.specification.version");

    /** DOCUMENT ME! */
    public static final String JAVA_SPECIFICATION_VENDOR = System.getProperty("java.specification.vendor");

    /** DOCUMENT ME! */
    public static final String JAVA_SPECIFICATION_NAME = System.getProperty("java.specification.name");

    /** DOCUMENT ME! */
    public static final String JAVA_LIBRARY_PATH = System.getProperty("java.library.path");

    /** DOCUMENT ME! */
    public static final String JAVA_IO_TMPDIR = System.getProperty("java.io.tmpdir");

    /** DOCUMENT ME! */
    public static final String JAVA_EXT_DIRS = System.getProperty("java.ext.dirs");

    /** DOCUMENT ME! */
    public static final String JAVA_COMPILER = System.getProperty("java.compiler");

    /** DOCUMENT ME! */
    public static final String JAVA_CLASS_VERSION = System.getProperty("java.class.version");

    /** DOCUMENT ME! */
    public static final String JAVA_CLASS_PATH = System.getProperty("java.class.path");

    /** DOCUMENT ME! */
    public static final String OS_NAME = System.getProperty("os.name");

    /** DOCUMENT ME! */
    public static final String OS_ARCH = System.getProperty("os.arch");

    /** DOCUMENT ME! */
    public static final String OS_VERSION = System.getProperty("os.version");

    /** DOCUMENT ME! */
    public static final String FILE_SEPARATOR = System.getProperty("file.separator");

    /** DOCUMENT ME! */
    public static final String PATH_SEPARATOR = System.getProperty("path.separator");

    /** DOCUMENT ME! */
    public static final String LINE_SEPARATOR = System.getProperty("line.separator");

    /** DOCUMENT ME! */
    public static final String USER_NAME = System.getProperty("user.name");

    /** DOCUMENT ME! */
    public static final String USER_HOME = System.getProperty("user.home");

    /** DOCUMENT ME! */
    public static final String USER_DIR = System.getProperty("user.dir");

    /** DOCUMENT ME! */
    public static final Map<String, String> ALL = new HashMap<String, String>();

    static {
        ALL.put("java.version", JAVA_VERSION);
        ALL.put("java.vendor", JAVA_VENDOR);
        ALL.put("java.vendor.url", JAVA_VENDOR_URL);
        ALL.put("java.home", JAVA_HOME);
        ALL.put("java.vm.specification.version", JAVA_VM_SPECIFICATION_VERSION);
        ALL.put("java.vm.specification.vendor", JAVA_VM_SPECIFICATION_VENDOR);
        ALL.put("java.vm.specification.name", JAVA_VM_SPECIFICATION_NAME);
        ALL.put("java.vm.version", JAVA_VM_VERSION);
        ALL.put("java.vm.vendor", JAVA_VM_VENDOR);
        ALL.put("java.vm.name", JAVA_VM_NAME);
        ALL.put("java.specification.version", JAVA_SPECIFICATION_VERSION);
        ALL.put("java.specification.vendor", JAVA_SPECIFICATION_VENDOR);
        ALL.put("java.specification.name", JAVA_SPECIFICATION_NAME);
        ALL.put("java.class.version", JAVA_CLASS_VERSION);
        ALL.put("java.class.path", JAVA_CLASS_PATH);
        ALL.put("java.library.path", JAVA_LIBRARY_PATH);
        ALL.put("java.io.tmpdir", JAVA_IO_TMPDIR);
        ALL.put("java.compiler", JAVA_COMPILER);
        ALL.put("java.ext.dirs", JAVA_EXT_DIRS);
        ALL.put("os.name", OS_NAME);
        ALL.put("os.arch", OS_ARCH);
        ALL.put("os.version", OS_VERSION);
        ALL.put("file.separator", FILE_SEPARATOR);
        ALL.put("path.separator", PATH_SEPARATOR);
        ALL.put("line.separator", LINE_SEPARATOR);
        ALL.put("user.name", USER_NAME);
        ALL.put("user.home", USER_HOME);
        ALL.put("user.dir", USER_DIR);
    }

    private SystemProperties() {
    }
}
