/*
 * Copyright 2010-2012 Craig S. Dickson (http://craigsdickson.com)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package com.squeakysand.commons.xml;

import java.io.IOException;

import javax.xml.transform.stream.StreamSource;

/**
 * Creats a {@link StreamSource} based on a classpath resource.
 */
public class ResourceStreamSource extends StreamSource {

    /**
     * <p>Constructor for ResourceStreamSource.</p>
     *
     * @param resourcePath a {@link java.lang.String} object.
     * @throws java.io.IOException if any.
     */
    public ResourceStreamSource(String resourcePath) throws IOException {
        super(ResourceStreamSource.class.getResource(resourcePath).openStream());
    }
}
